List a user's additional drivers
GET/api/users/:userId/drivers
Requires admin token.
Request
Path Parameters
Responses
- 200
- 401
- 403
- 404
- 500
The drivers, in the order they were added.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Driver id. Use it with PUT/DELETE /api/users/{userId}/drivers/{driverId}.
First name
Middle name
Last name
Date of birth, yyyy-MM-dd
Gender
Marital status
Relationship to the primary insured
Driver's license number
2 letter code of the state that issued the license
Education
Occupation
[
{
"id": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"dateOfBirth": "string",
"gender": "string",
"maritalStatus": "string",
"relationshipToInsured": "string",
"driversLicense": "string",
"driversLicenseState": "string",
"education": "string",
"occupation": "string"
}
]
Authorization error e.g. due to an invalid or missing API keys.
Forbidden. Possible error codes
-
ERROR_NO_PERMISSIONS_TO_RESOURCE
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User or driver not found. Possible error codes
-
ERROR_USER_NOT_FOUND
-
ERROR_DRIVER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}